
/**
 * Hier eine einfache Klasse "Auto" zum Testen der Container-Klassen.
 * Die Klasse erbt noch von "Fahrzeug", um IMyComparable besser zu demonstrieren.
 *
 * Weiterer Hinweis: Diese Testklassen sollten eigentlich nicht im selben Order/Paket liegen wie
 * die zu entwickelnden Klassen, da sie nur zu Testzwecken existieren. Das besprechen wir aber 
 * dann erst im 2. Semester bei PM nochmals richtig.
 */
public class TestKlasse_Auto extends TestKlasse_Fahrzeug {
	 
	 int _kmLetzteInspekt;
	
	 public TestKlasse_Auto (String name, float kilometerstand, int kmLetzteInspekt) {
		 super (name, kilometerstand);
		 this._kmLetzteInspekt = kmLetzteInspekt;
	 }
	
	 @Override
	 public int maxReichweite (){
		 return 700;
	}
	 
	
	 public int getKmLetzteInspekt (){
		 return _kmLetzteInspekt;
	 }

	 @Override
	 public String toString (){ 
		return super.toString() + " KmLI: " + getKmLetzteInspekt ();
	 }
	 
	 
}

