

public class MyStack extends MyAbstractContainer{
	
	public MyStack (int capacity){
		super (capacity);
	}
	
	public void push (Object obj){
		if (capacity() > _size){ // size () <= capacity ()
			 _objs[_size] = obj; // _objs [size ()] = obj;
			 _size += 1;
		} else {
			throw new RuntimeException ("Kein freier Platz mehr!");
		}
	}
	
	public Object pop (){
		if (size() > 0){
			Object temp = _objs [size() - 1];
			_objs [size () - 1] = null; 
			_size -= 1;
			return temp;
		} else {
			throw new RuntimeException ("Stack ist leer!");
		}
	}
	public static void main (String [] args){
		TestKlasse_Fahrzeug a = new TestKlasse_Auto("Mercedes", 2100.0f, 20000); 
		TestKlasse_Fahrzeug b = new TestKlasse_Auto("Audi", 1900.0f, 0); //Auto
		TestKlasse_Fahrzeug c = new TestKlasse_Fahrrad("Bianchi", 10); //Fahrrad
		MyStack test = new MyStack (8);
		 test.push(a); 
		 test.push(b);
		 test.push(c);
		 System.out.println ("Object hat Index: " + test.find(b) + "\n");
		 
		 System.out.println ("Stack nach dem pushing" + "\n" + test.toString());
		 		 
		 Object x = test.pop(); 
		 System.out.println ("Ein Element entfernt" + "\n" + x);
		 		 
		 System.out.println ();
		 System.out.println ("Stack nach dem popping" + "\n" +test.toString());
		 
	}
	
}
